Package org.eclipse.net4j.signal

## Interface ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>

- All Superinterfaces:
    `IBufferHandler`, `ILocationAware`, `org.eclipse.net4j.util.event.INotifier`, `IProtocol<INFRA_STRUCTURE>`, `ISignalProtocol<INFRA_STRUCTURE>`, `org.eclipse.net4j.util.security.IUserAware`
  All Known Implementing Classes:
    `AuthenticatingSignalProtocol`, `HeartBeatProtocol`, `HeartBeatProtocol.Server`, `SignalProtocol`
  Enclosing interface:
    ISignalProtocol<INFRA_STRUCTURE>

      public static interface ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>
      extends ISignalProtocol<INFRA_STRUCTURE>

  Since:
    4.13
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.signal.ISignalProtocol

      `ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol

      `DEFAULT_TIMEOUT, NO_TIMEOUT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getReceivedSignals()` |
    `long` | `getSentSignals()` |

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

      `handleBuffer`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

      `getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

    - ### Methods inherited from interface org.eclipse.net4j.signal.ISignalProtocol

      `addStreamWrapper, close, getStreamWrapper, getTimeout, open, setStreamWrapper, setTimeout`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

- - ### Method Detail

    - #### getSentSignals

          long getSentSignals()

    - #### getReceivedSignals

          long getReceivedSignals()